# RPM specfile for rcd-modules module
# Generated Fri Nov  5 15:31:18 2004 GMT by Ximian build system
# $Id: bb_do,v 1.252 2004/06/11 03:26:42 v_thunder Exp $
# from $Id: ximian-build.conf,v 1.45 2004/11/04 19:49:48 jyeo Exp $

%define nam	rcd-modules
%define ver	2.4.4
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	rcd-modules
Version: 	2.4.4
Release:	0.ximian.0.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Enterprise Linux AS / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.novell.com/zenworks/
Source0:	rcd-modules-2.4.4.tar.gz
BuildRequires:	gnome-common
BuildRequires:	rcd-devel >= 2.4.0
BuildRequires:	libredcarpet >= 2.4.0
BuildRequires:	libsoup2.2-devel >= 2.2.0
BuildRequires:	pkgconfig >= 0.9
BuildRequires:	zlib-devel
BuildRequires:	rpm-devel
BuildRequires:	xmlrpc-c-devel
BuildRequires:	bzip2-devel
BuildRequires:	python2 >= 2.2
BuildRequires:	python2-devel >= 2.2
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
Summary:	Red Carpet Daemon Modules
Group:		System Environment/Daemons
Requires:	rcd >= 2.4.0
Provides:	ximian-rcd-modules = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
This package provides modules for the Red Carpet Daemon

%files
%defattr(-, root, root)
/usr/lib/rcd/modules/*.so
/usr/lib/rcd/modules/python/*.py


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n rcd-modules-2.4.4
    ;;
all)
%setup  -q -n rcd-modules-2.4.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    PKG_CONFIG_PATH=/opt/rc-helper-libs/lib/pkgconfig:/opt/gnome/lib/pkgconfig:$PKG_CONFIG_PATH CPPFLAGS="-w" ./configure --prefix=/usr --libdir=/usr/lib --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --sysconfdir=/etc --with-xmlrpc-prefix=/opt/rc-helper-libs --with-init-script-type=redhat --with-soup=/opt/rc-helper-libs --enable-static-binary
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Nov 5 2004 Ximian, Inc.

- Version: 2.4.4-0.ximian.0.1
- Summary: New build.
- New automated build.

